diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/functions.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/functions.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/functions.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/functions.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 2029,2070 ****
  		a:hover {
  			color: #D54E21;
  		}
- 
  		.button {
! 			font-family: sans-serif;
  			text-decoration: none;
! 			font-size: 14px !important;
! 			line-height: 16px;
! 			padding: 6px 12px;
  			cursor: pointer;
! 			border: 1px solid #bbb;
! 			color: #464646;
! 			-webkit-border-radius: 15px;
! 			border-radius: 15px;
! 			-moz-box-sizing: content-box;
! 			-webkit-box-sizing: content-box;
! 			box-sizing: content-box;
! 			background-color: #f5f5f5;
! 			background-image: -ms-linear-gradient(top, #ffffff, #f2f2f2);
! 			background-image: -moz-linear-gradient(top, #ffffff, #f2f2f2);
! 			background-image: -o-linear-gradient(top, #ffffff, #f2f2f2);
! 			background-image: -webkit-gradient(linear, left top, left bottom, from(#ffffff), to(#f2f2f2));
! 			background-image: -webkit-linear-gradient(top, #ffffff, #f2f2f2);
! 			background-image: linear-gradient(top, #ffffff, #f2f2f2);
! 		}
! 
! 		.button:hover {
! 			color: #000;
! 			border-color: #666;
  		}
  
  		.button:active {
! 			background-image: -ms-linear-gradient(top, #f2f2f2, #ffffff);
! 			background-image: -moz-linear-gradient(top, #f2f2f2, #ffffff);
! 			background-image: -o-linear-gradient(top, #f2f2f2, #ffffff);
! 			background-image: -webkit-gradient(linear, left top, left bottom, from(#f2f2f2), to(#ffffff));
! 			background-image: -webkit-linear-gradient(top, #f2f2f2, #ffffff);
! 			background-image: linear-gradient(top, #f2f2f2, #ffffff);
  		}
  
  		<?php if ( 'rtl' == $text_direction ) : ?>
--- 2133,2204 ----
  		a:hover {
  			color: #D54E21;
  		}
  		.button {
! 			display: inline-block;
  			text-decoration: none;
! 			font-size: 14px;
! 			line-height: 23px;
! 			height: 24px;
! 			margin: 0;
! 			padding: 0 10px 1px;
  			cursor: pointer;
! 			border-width: 1px;
! 			border-style: solid;
! 			-webkit-border-radius: 3px;
! 			border-radius: 3px;
! 			white-space: nowrap;
! 			-webkit-box-sizing: border-box;
! 			-moz-box-sizing:    border-box;
! 			box-sizing:         border-box;
! 			background: #f3f3f3;
! 			background-image: -webkit-gradient(linear, left top, left bottom, from(#fefefe), to(#f4f4f4));
! 			background-image: -webkit-linear-gradient(top, #fefefe, #f4f4f4);
! 			background-image:    -moz-linear-gradient(top, #fefefe, #f4f4f4);
! 			background-image:      -o-linear-gradient(top, #fefefe, #f4f4f4);
! 			background-image:   linear-gradient(to bottom, #fefefe, #f4f4f4);
! 			border-color: #bbb;
! 		 	color: #333;
! 			text-shadow: 0 1px 0 #fff;
! 		}
! 
! 		.button.button-large {
! 			height: 29px;
! 			line-height: 28px;
! 			padding: 0 12px;
! 		}
! 
! 		.button:hover,
! 		.button:focus {
! 			background: #f3f3f3;
! 			background-image: -webkit-gradient(linear, left top, left bottom, from(#fff), to(#f3f3f3));
! 			background-image: -webkit-linear-gradient(top, #fff, #f3f3f3);
! 			background-image:    -moz-linear-gradient(top, #fff, #f3f3f3);
! 			background-image:     -ms-linear-gradient(top, #fff, #f3f3f3);
! 			background-image:      -o-linear-gradient(top, #fff, #f3f3f3);
! 			background-image:   linear-gradient(to bottom, #fff, #f3f3f3);
! 			border-color: #999;
! 			color: #222;
! 		}
! 
! 		.button:focus  {
! 			-webkit-box-shadow: 1px 1px 1px rgba(0,0,0,.2);
! 			box-shadow: 1px 1px 1px rgba(0,0,0,.2);
  		}
  
  		.button:active {
! 			outline: none;
! 			background: #eee;
! 			background-image: -webkit-gradient(linear, left top, left bottom, from(#f4f4f4), to(#fefefe));
! 			background-image: -webkit-linear-gradient(top, #f4f4f4, #fefefe);
! 			background-image:    -moz-linear-gradient(top, #f4f4f4, #fefefe);
! 			background-image:     -ms-linear-gradient(top, #f4f4f4, #fefefe);
! 			background-image:      -o-linear-gradient(top, #f4f4f4, #fefefe);
! 			background-image:   linear-gradient(to bottom, #f4f4f4, #fefefe);
! 			border-color: #999;
! 			color: #333;
! 			text-shadow: 0 -1px 0 #fff;
! 			-webkit-box-shadow: inset 0 2px 5px -3px rgba( 0, 0, 0, 0.5 );
! 		 	box-shadow: inset 0 2px 5px -3px rgba( 0, 0, 0, 0.5 );
  		}
  
  		<?php if ( 'rtl' == $text_direction ) : ?>
***************
*** 2139,2144 ****
--- 2273,2326 ----
  }
  
  /**
+  * Send a JSON response back to an Ajax request.
+  *
+  * @since 3.5.0
+  *
+  * @param mixed $response Variable (usually an array or object) to encode as JSON, then print and die.
+  */
+ function wp_send_json( $response ) {
+ 	@header( 'Content-Type: application/json; charset=' . get_option( 'blog_charset' ) );
+ 	echo json_encode( $response );
+ 	if ( defined( 'DOING_AJAX' ) && DOING_AJAX )
+ 		wp_die();
+ 	else
+ 		die;
+ }
+ 
+ /**
+  * Send a JSON response back to an Ajax request, indicating success.
+  *
+  * @since 3.5.0
+  *
+  * @param mixed $data Data to encode as JSON, then print and die.
+  */
+ function wp_send_json_success( $data = null ) {
+ 	$response = array( 'success' => true );
+ 
+ 	if ( isset( $data ) )
+ 		$response['data'] = $data;
+ 
+ 	wp_send_json( $response );
+ }
+ 
+ /**
+  * Send a JSON response back to an Ajax request, indicating failure.
+  *
+  * @since 3.5.0
+  *
+  * @param mixed $data Data to encode as JSON, then print and die.
+  */
+ function wp_send_json_error( $data = null ) {
+ 	$response = array( 'success' => false );
+ 
+ 	if ( isset( $data ) )
+ 		$response['data'] = $data;
+ 
+ 	wp_send_json( $response );
+ }
+ 
+ /**
   * Retrieve the WordPress home page URL.
   *
   * If the constant named 'WP_HOME' exists, then it will be used and returned by
***************
*** 2429,2435 ****
  
  		$matched = 0;
  		foreach ( $args as $m_key => $m_value ) {
! 			if ( $m_value == $to_match[ $m_key ] )
  				$matched++;
  		}
  
--- 2611,2617 ----
  
  		$matched = 0;
  		foreach ( $args as $m_key => $m_value ) {
! 			if ( array_key_exists( $m_key, $to_match ) && $m_value == $to_match[ $m_key ] )
  				$matched++;
  		}
  
***************
*** 2487,2492 ****
--- 2669,2678 ----
   */
  function wp_widgets_add_menu() {
  	global $submenu;
+ 
+ 	if ( ! current_theme_supports( 'widgets' ) )
+ 		return;
+ 
  	$submenu['themes.php'][7] = array( __( 'Widgets' ), 'edit_theme_options', 'widgets.php' );
  	ksort( $submenu['themes.php'], SORT_NUMERIC );
  }
***************
*** 2581,2588 ****
   */
  function url_is_accessable_via_ssl($url)
  {
! 	if (in_array('curl', get_loaded_extensions())) {
! 		$ssl = preg_replace( '/^http:\/\//', 'https://',  $url );
  
  		$ch = curl_init();
  		curl_setopt($ch, CURLOPT_URL, $ssl);
--- 2767,2774 ----
   */
  function url_is_accessable_via_ssl($url)
  {
! 	if ( in_array( 'curl', get_loaded_extensions() ) ) {
! 		$ssl = set_url_scheme( $url, 'https' );
  
  		$ch = curl_init();
  		curl_setopt($ch, CURLOPT_URL, $ssl);
***************
*** 2932,2940 ****
  	if ( defined('WP_SITEURL') && '' != WP_SITEURL ) {
  		$url = WP_SITEURL;
  	} else {
! 		$schema = is_ssl() ? 'https://' : 'http://';
! 		$url = preg_replace('#/(wp-admin/.*|wp-login.php)#i', '', $schema . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
  	}
  	return rtrim($url, '/');
  }
  
--- 3118,3127 ----
  	if ( defined('WP_SITEURL') && '' != WP_SITEURL ) {
  		$url = WP_SITEURL;
  	} else {
! 		$schema = is_ssl() ? 'https://' : 'http://'; // set_url_scheme() is not defined yet
! 		$url = preg_replace( '#/(wp-admin/.*|wp-login.php)#i', '', $schema . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] );
  	}
+ 
  	return rtrim($url, '/');
  }
  
***************
*** 2993,3005 ****
   * @return bool True if not multisite or $blog_id is main site
   */
  function is_main_site( $blog_id = '' ) {
! 	global $current_site, $current_blog;
  
! 	if ( !is_multisite() )
  		return true;
  
! 	if ( !$blog_id )
! 		$blog_id = $current_blog->blog_id;
  
  	return $blog_id == $current_site->blog_id;
  }
--- 3180,3192 ----
   * @return bool True if not multisite or $blog_id is main site
   */
  function is_main_site( $blog_id = '' ) {
! 	global $current_site;
  
! 	if ( ! is_multisite() )
  		return true;
  
! 	if ( ! $blog_id )
! 		$blog_id = get_current_blog_id();
  
  	return $blog_id == $current_site->blog_id;
  }
***************
*** 3047,3053 ****
  	if ( false === $timezone_object || false === $datetime_object ) {
  		return false;
  	}
! 	return round( timezone_offset_get( $timezone_object, $datetime_object ) / 3600, 2 );
  }
  
  /**
--- 3234,3240 ----
  	if ( false === $timezone_object || false === $datetime_object ) {
  		return false;
  	}
! 	return round( timezone_offset_get( $timezone_object, $datetime_object ) / HOUR_IN_SECONDS, 2 );
  }
  
  /**
***************
*** 3247,3253 ****
  function wp_scheduled_delete() {
  	global $wpdb;
  
! 	$delete_timestamp = time() - (60*60*24*EMPTY_TRASH_DAYS);
  
  	$posts_to_delete = $wpdb->get_results($wpdb->prepare("SELECT post_id FROM $wpdb->postmeta WHERE meta_key = '_wp_trash_meta_time' AND meta_value < '%d'", $delete_timestamp), ARRAY_A);
  
--- 3434,3440 ----
  function wp_scheduled_delete() {
  	global $wpdb;
  
! 	$delete_timestamp = time() - ( DAY_IN_SECONDS * EMPTY_TRASH_DAYS );
  
  	$posts_to_delete = $wpdb->get_results($wpdb->prepare("SELECT post_id FROM $wpdb->postmeta WHERE meta_key = '_wp_trash_meta_time' AND meta_value < '%d'", $delete_timestamp), ARRAY_A);
  
***************
*** 3536,3542 ****
  	static $protocols;
  
  	if ( empty( $protocols ) ) {
! 		$protocols = array( 'http', 'https', 'ftp', 'ftps', 'mailto', 'news', 'irc', 'gopher', 'nntp', 'feed', 'telnet', 'mms', 'rtsp', 'svn' );
  		$protocols = apply_filters( 'kses_allowed_protocols', $protocols );
  	}
  
--- 3723,3729 ----
  	static $protocols;
  
  	if ( empty( $protocols ) ) {
! 		$protocols = array( 'http', 'https', 'ftp', 'ftps', 'mailto', 'news', 'irc', 'gopher', 'nntp', 'feed', 'telnet', 'mms', 'rtsp', 'svn', 'tel', 'fax', 'xmpp' );
  		$protocols = apply_filters( 'kses_allowed_protocols', $protocols );
  	}
  
***************
*** 3628,3635 ****
  		|| strpos($ua, 'iPad') !== false
  		|| strpos($ua, 'iPod') !== false ) {
  			return preg_match( '#OS ([\d_]+) like Mac OS X#', $ua, $version ) && version_compare( $version[1], '6', '>=' );
- 	} else {
- 		return true;
  	}
  }
  
--- 3815,3845 ----
  		|| strpos($ua, 'iPad') !== false
  		|| strpos($ua, 'iPod') !== false ) {
  			return preg_match( '#OS ([\d_]+) like Mac OS X#', $ua, $version ) && version_compare( $version[1], '6', '>=' );
  	}
+ 
+ 	return true;
  }
  
+ /**
+  * Test if a given path is a stream URL
+  *
+  * @param string $path The resource path or URL
+  * @return bool True if the path is a stream URL
+  */
+ function wp_is_stream( $path ) {
+ 	$wrappers = stream_get_wrappers();
+ 	$wrappers_re = '(' . join('|', $wrappers) . ')';
+ 
+ 	return preg_match( "!^$wrappers_re://!", $path ) === 1;
+ }
+ 
+ /**
+  * Test if the supplied date is valid for the Gregorian calendar
+  *
+  * @since 3.5.0
+  *
+  * @return bool true|false
+  */
+ function wp_checkdate( $month, $day, $year, $source_date ) {
+ 	return apply_filters( 'wp_checkdate', checkdate( $month, $day, $year ), $source_date );
+ }
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/functions.wp-scripts.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/functions.wp-scripts.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/functions.wp-scripts.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/functions.wp-scripts.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 161,176 ****
  /**
   * Check whether script has been added to WordPress Scripts.
   *
!  * The values for list defaults to 'queue', which is the same as enqueue for
!  * scripts.
   *
   * @since WP unknown; BP unknown
   *
!  * @param string $handle Handle used to add script.
!  * @param string $list Optional, defaults to 'queue'. Others values are 'registered', 'queue', 'done', 'to_do'
!  * @return bool
   */
! function wp_script_is( $handle, $list = 'queue' ) {
  	global $wp_scripts;
  	if ( ! is_a( $wp_scripts, 'WP_Scripts' ) ) {
  		if ( ! did_action( 'init' ) )
--- 161,178 ----
  /**
   * Check whether script has been added to WordPress Scripts.
   *
!  * By default, checks if the script has been enqueued. You can also
!  * pass 'registered' to $list, to see if the script is registered,
!  * and you can check processing statuses with 'to_do' and 'done'.
   *
   * @since WP unknown; BP unknown
   *
!  * @param string $handle Name of the script.
!  * @param string $list Optional. Defaults to 'enqueued'. Values are
!  * 	'registered', 'enqueued' (or 'queue'), 'to_do', and 'done'.
!  * @return bool Whether script is in the list.
   */
! function wp_script_is( $handle, $list = 'enqueued' ) {
  	global $wp_scripts;
  	if ( ! is_a( $wp_scripts, 'WP_Scripts' ) ) {
  		if ( ! did_action( 'init' ) )
***************
*** 179,188 ****
  		$wp_scripts = new WP_Scripts();
  	}
  
! 	$query = $wp_scripts->query( $handle, $list );
! 
! 	if ( is_object( $query ) )
! 		return true;
! 
! 	return $query;
  }
--- 181,185 ----
  		$wp_scripts = new WP_Scripts();
  	}
  
! 	return (bool) $wp_scripts->query( $handle, $list );
  }
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/functions.wp-styles.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/functions.wp-styles.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/functions.wp-styles.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/functions.wp-styles.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 167,182 ****
  /**
   * Check whether style has been added to WordPress Styles.
   *
!  * The values for list defaults to 'queue', which is the same as wp_enqueue_style().
   *
   * @since WP unknown; BP unknown
   * @global object $wp_styles The WP_Styles object for printing styles.
   *
   * @param string $handle Name of the stylesheet.
!  * @param string $list Values are 'registered', 'done', 'queue' and 'to_do'.
!  * @return bool True on success, false on failure.
   */
! function wp_style_is( $handle, $list = 'queue' ) {
  	global $wp_styles;
  	if ( ! is_a( $wp_styles, 'WP_Styles' ) ) {
  		if ( ! did_action( 'init' ) )
--- 167,185 ----
  /**
   * Check whether style has been added to WordPress Styles.
   *
!  * By default, checks if the style has been enqueued. You can also
!  * pass 'registered' to $list, to see if the style is registered,
!  * and you can check processing statuses with 'to_do' and 'done'.
   *
   * @since WP unknown; BP unknown
   * @global object $wp_styles The WP_Styles object for printing styles.
   *
   * @param string $handle Name of the stylesheet.
!  * @param string $list Optional. Defaults to 'enqueued'. Values are
!  * 	'registered', 'enqueued' (or 'queue'), 'to_do', and 'done'.
!  * @return bool Whether style is in the list.
   */
! function wp_style_is( $handle, $list = 'enqueued' ) {
  	global $wp_styles;
  	if ( ! is_a( $wp_styles, 'WP_Styles' ) ) {
  		if ( ! did_action( 'init' ) )
***************
*** 185,194 ****
  		$wp_styles = new WP_Styles();
  	}
  
! 	$query = $wp_styles->query( $handle, $list );
! 
! 	if ( is_object( $query ) )
! 		return true;
! 
! 	return $query;
  }
--- 188,192 ----
  		$wp_styles = new WP_Styles();
  	}
  
! 	return (bool) $wp_styles->query( $handle, $list );
  }
